per tracker configurable default status and better usability for ui
2013-04-17 18:20 - Terence Mill
Resolution: Duplicate

Description

For naming reasons e.g a scrum request request tracker shall be able to have different start/default status name than a feature or
bug tracker. Another reason is that if you model a worflow that starts in redmine in the middle of a bigger worflow which has pre or
post process outside of redmine (e.g. automatic issue import from enteprise first level support system like otrs) the start/default state
for the issue in redmine coud be named "in progress". But a bug tracker still shal be able to use status "new" as default.

At the moment you can configure the possible start state for status transition in the issue status application admin settings. Strange is
that its a checkbox you check once the old default status setting on another status gets overridden. This behaviour feels very
stranghe as checkboxes normally allow multselect and shall be used on the same view.

If its's a choice between one status or another to be default gloabllay this gui feels wrong to anyway.

But however thsi feature wants a default status per tracker and would solve the wired gui problem along.

If there is exactly one default (start) status for each tracker this "default status settings" have to be placed in the admin tracker
configuration. There shall be a dropdwon "default (start) status" on tracker edit form which shows all status available so far, except
these have flag "Issue closed" (end state).

Then you can choose the default status for this tracker.

Related issues:
Is duplicate of Redmine - Feature #5991: Tracker should have it's own default... Closed 2010-07-29

History

#1 - 2015-04-05 05:34 - Go MAEDA

- Status changed from New to Closed

Implemented by #5991 (Redmine 3.0).

#2 - 2015-04-05 05:35 - Go MAEDA

- Resolution set to Duplicate

#3 - 2015-04-05 05:36 - Go MAEDA

- Is duplicate of Feature #5991: Tracker should have it's own default issue status added
